.\" $NetBSD: clock.4,v 1.4 2006/02/25 22:57:09 wiz Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Stephan Meisinger.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 24, 2006
.Dt CLOCK 4 sparc
.Os
.Sh NAME
.Nm clock ,
.Nm oclock
.Nd Clock driver for Sun SPARC computers
.Sh SYNOPSIS
.Cd "clock0 at mainbus0                # sun4c"
.Cd "clock0 at obio0                   # sun4m"
.Cd "clock0 at obio0 addr 0xf2000000   # sun4/300"
.Pp
.Cd "ooclock0 at obio0 addr 0xf3000000 # sun4/200"
.Cd "ooclock0 at obio0 addr 0x03000000 # sun4/100"
.Sh DESCRIPTION
The
.Nm
device contains common timer, clock and eeprom routines for the
.Nx
kernel.
.Pp
All system use the timer interrupt to drive the hard clock.
The second interrupt is used to drive statistics clock, except
sun4/100 and sun4/200 machines, which don't have a spare timer
device.
.Sh HARDWARE
The
.Nm
driver provides support for the following chips:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn Dallas DS1287A
.It Tn Intersil 7170
.It Tn Mostek Mk48T02
.It Tn Mostek Mk48T08
.El
.Sh SEE ALSO
.Xr sparc/timer 4
.Sh HISTORY
The
.Nm
appeared in
.Nx 1.0 .
